%def_without static
%define prerel rc5

Name: aalib
Version: 1.4
Release: alt0.7%prerel

Summary: AA (Ascii Art) library
License: LGPL
Group: System/Libraries
Url: http://aa-project.sourceforge.net/%name/

Source: http://prdownloads.sourceforge.net/aa-project/%name-%version%prerel.tar.gz
Source1: %name-config.1
Patch: %name-info.patch
Patch1: %name-debian_man.patch

%ifdef prerel
Provides: %name = %version%prerel
%endif

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Mon Oct 14 2002
BuildRequires: XFree86-devel glibc-devel-static libgpm-devel libslang-devel

%package devel
Summary: Header files for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%ifdef prerel
Provides: %name-devel = %version%prerel
%endif

%package devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: AA-lib tools
Group: Graphics
Requires: %name = %version-%release

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP.

%description devel
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install the %name-devel package if you want to develop applications that
will use the %name library.

%description devel-static
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP.

Install the %name-devel-static package if you want to develop
statically linked applications that will use the %name library.

%description utils
These programs demonstrate the capabilities of the aalib
library, an ASCII art library.

%prep
%setup -q -n %name-%version.0
%patch0 -p1
%patch1 -p1

%build
%set_libtool_version 1.4
%configure
%make_build

%install
%makeinstall

%__install -pD -m644 %SOURCE1 %buildroot%_man1dir/aalib-config.1

for p in `ls -1 %buildroot%_bindir | grep -Ev '\-|fire'`; do
    echo .so aafire.1 >%buildroot%_man1dir/"$p".1
done

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %name.info

%preun devel
%uninstall_info %name.info

%files
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%_infodir/*.info*
%_man1dir/*-config.*
%_man3dir/*
%doc ChangeLog NEWS README

%if_with static
%files devel-static
%_libdir/*.a
%endif

%files utils
%_bindir/*
%exclude %_bindir/*-config
%_man1dir/*
%exclude %_man1dir/*-config.*

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4-alt0.7rc5
- use libtool-1.4
- do not package .la files.
- devel-staic subpackage now is optional. 

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4-alt0.6rc5
- Rebuild with gcc-3.2. 

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4-alt0.5rc5
- 1.4rc5.
- Applied PLD patches.
- utils package.

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.2-ipl14mdk
- Fixed URL.
- Fixed build via libtoolize & co. in %%prep section.

* Fri Jun 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2-ipl13mdk
- Moved static library to devel-static subpackage.

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 1.2-ipl2mdk
- Specfile cleanup.

* Sun Nov 27 2000 AEN <aen@logic.ru>
- rebuild for RE

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-10mdk
- Correct info installation
- Remove french description

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-9mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-8mdk
- BM
- make rpmlint happier

* Fri Mar 10 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- rebuilt for 7.1

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use _tmppath in Buildroot

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Install info files
- Don't include the dir file
- Split the packages into two packages

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the Summary to be more meaningfull

* Tue Jul 9 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in the spec that garbage the french description

* Tue Jul 06 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new library needed for GIMP
